Subject: bug#848 closed by Mark Hindley <[email-masked]> (Fixed in Debian #1055438)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sat, 27 Apr 2024 15:08:02 +0000

This is an automatic notification regarding your bug report
which was filed against the kea-dhcp4-server package:

#848: Pd: Problems starting kea-dhcp4-server

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
848: https://bugs.devuan.org/cgi/bugreport.cgi?bug=848
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Fixed in Debian #1055438
From: Mark Hindley <[email-masked]>
To: [email-masked]
Date: Sat, 27 Apr 2024 16:06:23 +0100

Version: 2.4.1-3

Subject: Pd: Problems starting kea-dhcp4-server
From: Jerzy Sobczyk <[email-masked]>
To: <[email-masked]>
Date: Wed, 24 Apr 2024 20:31:16 +0200

Package: kea-dhcp4-server
Version: 2.2.0-6
1.After clean installation using:
    apt update
    apt install kea-dhcp4-server
necessary directories: /var/log/kea, /var/lib/kea, /var/run/kea were missing (they were left to be created by systemd ???).
So I had to create them manually.

2. There was also a problem with apparmor - I had to change the file /etc/apparmor.d/usr.sbin.kea-dhcp4 adding:
  /var/log/kea/** rwk,
  /run/kea/logger_lockfile wrk,
  /run/kea/kea4-ctrl-socket wrk,
  /run/kea/kea4-ctrl-socket.lock wrk,
and commenting out:
   owner /run/lock/kea/logger_lockfile rwk,
   owner /var/run/kea/logger_lockfile rwk,
Maybe You will be able to achieve the goal in a better way, but it works for me!

3. There was also a problem with start/stop script: /etc/init.d/kea-dhcp4-server
originally it could start the daemon but was unable to stop it.
After replacing: 
           --name $NAME
with:
          --exec $DAEMON
in two locations, it stops it (although sometimes with long delay).

After all this changes the daemon seems to be working - dhclient from other machine is able to get IP assignment.
I hope this information will help managing the package.

With Best Regards,
    Jerzy Sobczyk